# lib/header_internal.h File Reference

`#include <header.h>`
`#include <netinet/in.h>`

Go to the source code of this file.

## Data Structures

struct | entryInfo
struct | indexEntry
struct | headerToken
| The Header data structure. More...
struct | sprintfTag
struct | extensionCache
struct | sprintfToken

## Defines

#define | INDEX_MALLOC_SIZE 8
#define | HEADER_OLDFILENAMES 1027
#define | HEADER_BASENAMES 1117
#define | REGION_TAG_TYPE RPM_BIN_TYPE
#define | REGION_TAG_COUNT sizeof(struct entryInfo)
#define | ENTRY_IS_REGION(_e) (((_e)->info.tag >= HEADER_IMAGE) && ((_e)->info.tag < HEADER_REGIONS))
#define | ENTRY_IN_REGION(_e) ((_e)->info.offset < 0)
#define | HEADERFLAG_SORTED (1 << 0)
#define | HEADERFLAG_ALLOCATED (1 << 1)
#define | HEADERFLAG_LEGACY (1 << 2)
#define | HEADER_DUMP_INLINE 1

## Typedefs

typedef entryInfo * | entryInfo
| Description of tag data.
typedef indexEntry * | indexEntry
| A single tag from a Header.
typedef sprintfTag * | sprintfTag
typedef extensionCache * | extensionCache
typedef sprintfToken * | sprintfToken

## Functions

char ** | headerGetLangs (Header h)
| Return array of locales found in header.
int | headerGetRawEntry (Header h, int_32 tag, hTYP_t type, hPTR_t *p, hCNT_t c)
| Retrieve tag value with type match.
static int | headerUsageCount (Header h)
| Return header reference count.
void | headerDump (Header h, FILE *f, int flags, const struct headerTagTableEntry_s *tags)
| Dump a header in human readable format (for debugging).

## Detailed Description

Definition in file header_internal.h.

## Define Documentation

#define ENTRY_IN_REGION | ( | _e |  | ) | ((_e)->info.offset < 0)

Definition at line 38 of file header_internal.h.

#define ENTRY_IS_REGION | ( | _e |  | ) | (((_e)->info.tag >= HEADER_IMAGE) && ((_e)->info.tag < HEADER_REGIONS))

Definition at line 36 of file header_internal.h.

Referenced by copyEntry(), and doHeaderUnload().

#define HEADER_BASENAMES 1117

Definition at line 20 of file header_internal.h.

#define HEADER_DUMP_INLINE 1

Definition at line 178 of file header_internal.h.

Referenced by headerDump(), and main().

#define HEADER_OLDFILENAMES 1027

Definition at line 19 of file header_internal.h.

#define HEADERFLAG_ALLOCATED (1 << 1)

Is 1st header region allocated?

Definition at line 62 of file header_internal.h.

Referenced by headerAllocated().

#define HEADERFLAG_LEGACY (1 << 2)

Header came from legacy source?

Definition at line 63 of file header_internal.h.

Referenced by doHeaderUnload().

#define HEADERFLAG_SORTED (1 << 0)

Are header entries sorted?

Definition at line 61 of file header_internal.h.

Referenced by doHeaderUnload(), and findEntry().

#define INDEX_MALLOC_SIZE 8

Definition at line 14 of file header_internal.h.

#define REGION_TAG_COUNT sizeof(struct entryInfo)

Definition at line 34 of file header_internal.h.

Referenced by copyEntry(), and regionSwab().

#define REGION_TAG_TYPE RPM_BIN_TYPE

Definition at line 33 of file header_internal.h.